:root {
    /* Farben */
    --primary-color: #7B48FC; 
    --secondary-color: #A80BA1; 
    --accent-color: #4EB8EF; 
    --background-color: #110A1F;
    
    --ideas-color: #fadf19;
    --works-color: #de6d03;
    --codes-color: #ed06e2;
    --notes-color: #2dde5c;
    --todos-color: #03c3d5;
    --content-color: #5e5f60;

    --font-family: 'Rockwell';

    --border-radius: 15px;
}

@media screen and (min-width: 600px) {
    #intro-overlay {
        background-size: 55%;}
  }

  @media screen and (max-width: 600px) {
    #intro-overlay {
        background-size: 100%;}
  }

#intro-overlay {
    background-image: url('/src/intro.png');
   
    background-position: center;
    background-repeat: no-repeat;
    position: fixed;
    padding-top:15px;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: var(--background-color);
    color: var(--secondary-color);
    display: flex;
    align-items:top;
    justify-content: center;
    z-index: 9999;
    font-size: 2rem;
    opacity: 1;
    transition: opacity 1s ease;
  }

  #intro-overlay::before {
    content: '';
    position: absolute;
    inset: 0;
    background-color: #110a1f88; /* dunkles Overlay */
    z-index: 0;
  }
  
  #intro-overlay > * {
    position: relative;
    z-index: 1;
  }

  #intro-overlay.fade-out {
    opacity: 0;
    pointer-events: none;
  }

  #intro-overlay.hidden {
    display: none !important;
  }


body{
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing:border-box;
    background-color: var(--background-color);
    margin: 25px;
    flex-direction: column;
}
.Border_Div{   
    min-height: 90vh;
    width: 100%;
    border: 2px;
    border-color: var(--primary-color);
    border-style: solid;
    border-radius: var(--border-radius);
    background-color: var(--background-color);
}
.Kopf_Div{    
    display: grid;
    grid-template-columns: 50% 50%;
    border-bottom: 2px;
    border-left: 0;
    border-right: 0;
    border-top: 0;
    border-color: var(--primary-color);
    border-style: solid;
    height: 80px;
}
.Kopf_Div_ueberschrift{
    align-self:last baseline;
    color: var(--accent-color);
    height: 60%;
    text-align: left;
    padding-left: 10px;
    font-size: 18px;
    font-family: var(--font-family);
    font-weight: bold;
    user-select: none;
}
.New{
    justify-self: right;
    align-self:last baseline;
    border: 1px solid var(--secondary-color);
    border-radius: var(--border-radius);
    color: var(--secondary-color);
    width: auto;
    height: 40px;
    text-align: center;
    padding: 5px;
    margin-right: 10px;
    font-size: 18px;
    font-family: var(--font-family);
    font-weight: bold;
    display: flex;
    justify-content: center;
    align-items: center;
    user-select: none;
}
.Suche{
    display: grid;
    grid-template-columns: 50px auto;
   align-content: center;
    box-sizing:border-box;
    margin: 15px;
    height: 60px;
    border: 1px solid var(--primary-color);
    border-radius: var(--border-radius);
}
.Suche input {
    border: none;
    outline: none;
    background: transparent;
    color: var(--primary-color);
    /* Textfarbe */
    caret-color: var(--primary-color);
    
    /* Cursorfarbe */
    font-size: 25px;

}
.Suche input::selection {
    background: transparent;
    /* Keine Markierungsfarbe */
}

.Suche input:focus {
    outline: none;
    box-shadow: none;
}
.icon{    
    align-self:  last baseline;
    justify-self: center;
    width: 100%;
    height: auto;
    color: var(--primary-color);
}
.Hotshots{
    align-content: center;
    justify-content: center;
    height: 80px;
    width: 100%;
    display: grid;
    gap: 5px;
    grid-template-columns: 18% 18% 18% 18% 18%;
}

.Hot-Ideas{
    font-size: 12px;
    color: var(--ideas-color);
    border: 2px solid var(--ideas-color);
    border-radius:var(--border-radius);
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    user-select: none;
    box-shadow:
    0 0 2px var(--ideas-color),
    0 0 2px var(--ideas-color),
    0 0 10px var(--ideas-color),
    0 0 2px var(--ideas-color);
}

.Hot-Works{
    font-size: 12px;
    color: var(--works-color);
    border: 2px solid var(--works-color);
    border-radius:var(--border-radius);
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    user-select: none;
    box-shadow:
    0 0 2px var(--works-color),
    0 0 2px var(--works-color),
    0 0 10px var(--works-color),
    0 0 2px var(--works-color);
}

.Hot-Codes{
    font-size: 12px;
    color: var(--codes-color);
    border: 2px solid var(--codes-color);
    border-radius:var(--border-radius);
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    user-select: none;
    box-shadow:
    0 0 2px var(--codes-color),
    0 0 2px var(--codes-color),
    0 0 10px var(--codes-color),
    0 0 2px var(--codes-color);
}

.Hot-Notes{
    font-size: 12px;
    color: var(--notes-color);
    border: 2px solid var(--notes-color);
    border-radius:var(--border-radius);
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    user-select: none;
    box-shadow:
    0 0 2px var(--notes-color),
    0 0 2px var(--notes-color),
    0 0 10px var(--notes-color),
    0 0 2px var(--notes-color);
}

.Hot-Todos{
    font-size: 12px;
    color: var(--todos-color);
    border: 2px solid var(--todos-color);
    border-radius:var(--border-radius);
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    user-select: none;
    box-shadow:
    0 0 2px var(--todos-color),
    0 0 2px var(--todos-color),
    0 0 10px var(--todos-color),
    0 0 2px var(--todos-color);
}

.Hotshot-info{
    color: var(--accent-color);
    margin-left: 15px;
    height: 15px;
    margin-bottom: -5px;
}

.Content-Body{
  display: flex;
  flex-direction: column;
  gap: 10px;
  justify-content: center;
  align-items: center;
  margin: 25px;
    

}

.Task{
    background-color: black;
    padding: 5px;
    display: grid;
    grid-template-rows: 60px auto;
    margin: 10px;
    width: 100%;
    min-height: 100px;
    border-radius: var(--border-radius);
    border: 2px solid var(--primary-color);
}

.Titel{
    display: grid;
    grid-template-columns: 1fr max-content;
    justify-content: left;
    align-items: center;
    user-select: none;
    font-size: 18px;
    font-family: var(--font-family);
    font-weight: bold;
    margin-left: 5px;
}

.Content{
    display: grid;
    grid-template-columns: 1fr max-content;
    margin-left: 5px;
    color: var(--content-color);
    flex-wrap: wrap;
    white-space: pre-wrap;
    user-select: none;
}



.ideas{
    color:var(--ideas-color);
}
.codes{
    color:var(--codes-color);
}
.notes{
    color:var(--notes-color);
}
.todos{
    color:var(--todos-color);
}
.works{
    color:var(--works-color);
}
.category {
    box-sizing: border-box;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
    gap: 20px;
    justify-items: center;
    border-bottom: 1px solid var(--primary-color);
    color: var(--primary-color);
    margin: 35px 15px 0px 15px;
    padding-bottom: 15px;
}

.category label {
    border-bottom: 5px dotted transparent;
    user-select: none;
}

/* Versteckt den eigentlichen Radio-Button */
.category input[type="radio"] {
    display: none;
}

/* Wenn checked → Style ändern */
.category input[type="radio"]:checked+label,
.category label:has(input[type="radio"]:checked) {
    border-bottom: 5px dotted var(--accent-color);

}

.add{
    border: 2px solid var(--primary-color);
    border-radius: var(--border-radius);
    margin: 15px;
    padding: 5px;
}

.add input {
    text-align: left;
    height: 50px;
    border: none;
    outline: none;
    background: transparent;
    color: var(--primary-color) !important;
    /* Textfarbe */
    caret-color: var(--primary-color) !important;
    
    /* Cursorfarbe */
    font-size: 25px;

}
.add input::selection {
    background: transparent;
    /* Keine Markierungsfarbe */
}

.add input:focus {
    outline: none;
    box-shadow: none;
}

.add textarea:focus{
    outline: none;
    box-shadow: none;
}

.add textarea::selection {
    background: transparent;
    /* Keine Markierungsfarbe */
}

.add textarea {
    text-align: left;
    height: 250px;
    width: 100%;
    border: none;
    outline: none;
    background: transparent;
    color: var(--primary-color);
    /* Textfarbe */
    caret-color: var(--primary-color);
    
    /* Cursorfarbe */
    font-size: 25px;

}
.Add_btn{
    font-size: 12px;
    color: var(--ideas-color);
    border: 2px solid var(--ideas-color);
    border-radius:var(--border-radius);
    height: 40px;
    margin-left: 50px;
    margin-right: 50px;
    margin-top: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    user-select: none;
}
.Back_btn{
    background-image: url('/src/back.png');
    position: absolute;
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
    height: 60px;
    width: 60px;
    bottom: 5px;
    right: 35px;
}

.del{
    background-image: url('/src/Del.png');   
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100%;
    height: 60px;
    width: 60px;
}

.share{
    background-image: url('/src/share.png');   
    background-position: center;
    background-repeat: no-repeat;    
    background-size: 100%;
    height: 60px;
    width: 60px;
    margin-top: 15px;
}


.import {
    margin-top: 30px;
    align-self: center;
    justify-self: center;
    height: 50%;
    width: 50%;
    aspect-ratio: 1;
    box-shadow:
    0 0 2px var(--works-color),
    0 0 2px var(--todos-color),
    0 0 10px var(--notes-color),
    0 0 2px var(--ideas-color);
    background: 
      linear-gradient(45deg,var(--primary-color) 50%,var(--todos-color) 0),
      linear-gradient(45deg,var(--codes-color) 50%,var(--works-color) 0),
      linear-gradient(-45deg,var(--ideas-color) 50%,var(--notes-color) 0),
      linear-gradient(-45deg,var(--primary-color) 50%,var(--works-color) 0),
      linear-gradient(var(--ideas-color) 0 0);
    background-size: 50% 50%;
    background-repeat: no-repeat;
    animation: l18 1.5s infinite;
  }
  @keyframes l18{
    0%   {background-position:50% 50%,50% 50%,50%  50% ,50% 50%,50% 50%}
    25%  {background-position:0  100%,100%  0,50%  50% ,50% 50%,50% 50%}
    50%  {background-position:0  100%,100%  0,100% 100%,0   0  ,50% 50%}
    75%  {background-position:50% 50%,50% 50%,100% 100%,0   0  ,50% 50%}
    100% {background-position:50% 50%,50% 50%,50%  50% ,50% 50%,50% 50%}
  }

  .import p {
    top: -25px;
    color: var(--accent-color);
    position: relative;
  }

  .impressum{
    justify-self: anchor-center;
   
    bottom: 1px;
    font-size: 0.8rem;
}

.inst{
    background-image: url('/src/installieren.png');
   
    background-position: center;
    background-repeat: no-repeat;
    background-size: 80%;
    position: fixed;
    text-align: center;
    align-content: center;
    border: 2px solid var(--accent-color);
    border-radius: var(--border-radius);
    background-color: var(--accent-color);
    color: var(--accent-color);
    height:60px;
    width: 60px;
    display: none; 
    right: 15px;
    margin: 5px;
    bottom: 15px;
    font-size: 1rem;
    user-select: none;
    box-shadow:
    0 0 2px var(--accent-color),
    0 0 2px var(--accent-color),
    0 0 10px var(--accent-color),
    0 0 2px var(--accent-color);
    transition: all 0.5s ease;
}

.inst:hover{
    scale: 1.05;
    border: 2px solid var(--secondary-color);
   
}

.info{
    display: none;
    text-align: center;
    align-content: center;
    position: fixed;
    bottom: 15px;
    height: 35px;
    width: 200px;
    border-radius: var(--border-radius);
    background-color: var(--secondary-color);
    color: var(--accent-color);
    opacity: 0.8;
    transition: all 0.5s ease;
}